<?php

namespace App\Classes\Modules\PerfexCRM\DataTransferObjects;

use Illuminate\Http\Request;
use App\Classes\General\Interfaces\DataTransferObject;

class CreateLeadPerfexCRMObject implements DataTransferObject
{
    /** @var string */
    private $name;

    /** @var string */
    private $email;

    /** @var string */
    private $phone;

    /** @var string */
    private $companyName;

    /** @var string */
    private $companyReference;


    public function __construct(string $name, string $email, string $phone, string $companyName, string $companyReference)
    {
        $this->name = $name;
        $this->email = $email;
        $this->phone = $phone;
        $this->companyName = $companyName;
        $this->companyReference = $companyReference;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getEmail(): string
    {
        return $this->email;
    }

    /**
     * @return string
     */
    public function getPhone(): string
    {
        return $this->phone;
    }

    /**
     * @return string
     */
    public function getCompanyName(): string
    {
        return $this->companyName;
    }

    /**
     * @return string
     */
    public function getCompanyReference(): string
    {
        return $this->companyReference;
    }
}
